SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | Protected Attributes | List of all members
SDX::ImagePack Class Reference

複数のImageをまとめるクラス. More...

`#include <ImagePack.h>`

Inherited by SDX::Anime.

## Public Member Functions
| ImagePack (const char *ファイル名, int 総コマ数, int コマ割り横, int コマ割り縦)
| １つの画像を分割して読み込む. More...
bool | Load (const char *ファイル名, int 総コマ数, int コマ割り横, int コマ割り縦)
| １つの画像を分割して読み込む. More...
bool | Load (const char *ファイル名, const char *拡張子, int 総コマ数, const char *書式="%03d.")
| 連番ファイルを一括して読み込む. More...
void | Add (Image *追加イメージ)
| Imageを末尾に追加. More...
void | Add (const char *ファイル名)
virtual void | Release ()
| Imageをメモリから開放. More...
int | GetSize () const
| 要素数を取得. More...
int | GetWidth () const
| 最大幅を取得. More...
int | GetHeight () const
| 最大高さを取得. More...
Image * | operator[] (int index)
Image * | operator[] (int index) const

## Protected Attributes
std::vector< Image * > | images
int | widthMax
int | heightMax

## Detailed Description

複数のImageをまとめるクラス.

//©SDXFramework http://sourceforge.jp/projects/dxframework/
//🍣画像を描画する
bool SampleImage()
{
using namespace SDX;
System::Initialise("sample", 600, 400);
Image image("image.jpeg");
double angle = 0;
while (System::Update())
{
angle += 0.1;
image.Draw({ 10, 10 }, true);//反転して描画
image.DrawExtend({ 400, 10 }, {420, 30 });//指定矩形に描画
image.DrawRotate({ 400, 200 }, 0.5, angle);//角度と拡大率を指定して描画
Drawing::String({ 10, 10 }, Color::White, { "あいうえお", "\n", 123.456 });
if (Input::key.Return.on) break;//Enterで終了
}
System::End();
return true;
}

## Constructor & Destructor Documentation

SDX::ImagePack::ImagePack | ( | const char * | ファイル名,
|  | int | 総コマ数,
|  | int | コマ割り横,
|  | int | コマ割り縦
| ) |  |

１つの画像を分割して読み込む.

## Member Function Documentation

bool SDX::ImagePack::Load | ( | const char * | ファイル名,
|  | int | 総コマ数,
|  | int | コマ割り横,
|  | int | コマ割り縦
| ) |  |

１つの画像を分割して読み込む.

総コマ数=14,コマ割り横=4,コマ割り縦=4の場合
[ 0][ 1][ 2][ 3]
[ 4][ 5][ 6][ 7]
[ 8][ 9][10][11]
[12][13][ ][ ]
のように分割して、ImagePackのサイズは14になる

bool SDX::ImagePack::Load | ( | const char * | ファイル名,
|  | const char * | 拡張子,
|  | int | 総コマ数,
|  | const char * | 書式 = `"%03d."`
| ) |  |

連番ファイルを一括して読み込む.

ファイル名の後に三桁の連番が付いたファイルを連続して読み込む
例:「ファイル名***.拡張子」

void SDX::ImagePack::Add | ( | Image * | 追加イメージ | ) |

Imageを末尾に追加.

virtual void SDX::ImagePack::Release | ( |  | ) |
| virtual

Imageをメモリから開放.

Reimplemented in SDX::Anime.

int SDX::ImagePack::GetSize | ( |  | ) | const

要素数を取得.

int SDX::ImagePack::GetWidth | ( |  | ) | const

最大幅を取得.

int SDX::ImagePack::GetHeight | ( |  | ) | const

最大高さを取得.